# bcond_with    = disable
# bcond_without = enable
%bcond_with gtkdoc

%define api_version     1.0
%define gir_major       1.0
%define lib_major       0
%define lib_name        %mklibname %{name} %{api_version} %{lib_major}
%define libnamedev      %mklibname -d %{name} %{api_version}
%define gir_name        %mklibname %{name}-gir %{gir_major}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	System for layout and rendering of internationalized text
Name:		pango
Version:	1.52.2
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://pango.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

Patch1:		pango-mga25737.patch
Patch2:		pango-fix-gnumeric-crash.patch
Patch3:        pango-fix-harfbuzz-include.patch

BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(libthai)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	meson
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gi-docgen
%if %{with gtkdoc}
BuildRequires:	gtk-doc
BuildRequires:	libxslt-proc
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtd412-xml
BuildRequires:	python3dist(gi-docgen)
BuildRequires:	pkgconfig(gi-docgen)
%endif

%description
A library to handle Unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{lib_name}
Summary:	%{summary}
Group:		System/Libraries
Provides:	lib%{name}%{api_version} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name} >= %{version}-%{release}

%description -n %{lib_name}
A library to handle Unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{libnamedev}
Summary:	%{summary}
Group:		Development/Libraries
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{name} = %{version}
Requires:	%{lib_name} = %{version}

%description -n %{libnamedev}
This package includes the static libraries and header files
for the pango package.

%package doc
Summary:        %{summary}
Group:		Documentation

%description doc
This package provides API documentation for Pango.


%prep
%setup -qn %{name}-%{version}
%autopatch -p1

%build
%meson \
        -Dinstall-tests=true \
        -Dgtk_doc=%{?with_gtkdoc:true}%{!?with_gtkdoc:false}
%meson_build

%install
rm -rf %buildroot
%meson_install

rm -rf %buildroot/%{_libexecdir}/installed-tests/%{name}
rm -rf %buildroot/%{_datadir}/installed-tests/%{name}

%files
%{_bindir}/pango-list
%{_bindir}/pango-segmentation
%{_datadir}/man/man1/pango-view.1.bz2


%files -n %{lib_name}
%{_libdir}/libpango-%{api_version}.so.%{lib_major}*
%{_libdir}/libpangoft2-%{api_version}.so.%{lib_major}*
%{_libdir}/libpangoxft-%{api_version}.so.%{lib_major}*
%{_libdir}/libpangocairo-%{api_version}.so.%{lib_major}*

%{_libdir}/girepository-1.0/Pango-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoCairo-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoFT2-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoXft-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoFc-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoOT-%{gir_major}.typelib

%files -n %{libnamedev}
%{_bindir}/pango-view*
%{_libdir}/libpango-*.so
%{_libdir}/libpangoxft-*.so
%{_libdir}/libpangoft2-*.so
%{_libdir}/libpangocairo*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Pango-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoCairo-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoFT2-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoXft-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoFc-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoOT-%{gir_major}.gir

%if %{with gtkdoc}
%files doc
%doc %{_datadir}/doc/pango/reference
%doc utils/HELLO.txt
%{_bindir}/gi-docgen
%{python3_sitelib}/gidocgen/
%doc %{_pkgdocdir}/reference
%endif

%changelog
* Tue Apr 02 2024 tex - 1.52.2-1pclos2024
- new version

* Wed Mar 06 2024 tex - 1.52.1-1pclos2024
- new version

* Tue Feb 27 2024 tex - 1.52.0-1pclos2024
- new version

* Mon Feb 12 2024 tex - 1.51.2-1pclos2024
- new version

* Fri Sep 22 2023 tex - 1.51.0-1pclos2023
- new version

* Tue Feb 21 2023 tex - 1.50.13-1pclos2023
- new version

* Sun Nov 20 2022 tex - 1.50.12-1pclos2022
- new version

* Mon Oct 03 2022 tex - 1.50.11-1pclos2022
- new version

* Fri Sep 23 2022 tex - 1.50.10-2pclos2022
- rebuild against updates

* Sat Sep 17 2022 tex - 1.50.10-1pclos2022
- new version

* Wed Aug 10 2022 tex - 1.50.9-1pclos2022
- new version

* Sun Jul 03 2022 tex - 1.50.8-1pclos2022
- new version

* Sun May 01 2022 tex - 1.50.7-2pclos2022
- rebuild against updates

* Sun Apr 17 2022 tex - 1.50.7-1pclos2022
- new version

* Thu Feb 10 2022 tex - 1.50.4-1pclos2022
- new version

* Wed Dec 22 2021 tex - 1.50.3-1pclos2021
- new version

* Fri Dec 17 2021 tex - 1.50.2-1pclos2021
- new version

* Sat Dec 11 2021 tex - 1.50.1-1pclos2021
- new version

* Thu Nov 25 2021 tex - 1.49.3-2pclos2021
- back down to 1.48.10 for now

* Wed Nov 17 2021 tex - 1.49.3-1pclos2021
- new version

* Mon Nov 01 2021 yodelu - 1.48.10-2pclos2021
- add p3

* Sun Sep 12 2021 tex - 1.48.10-1pclos2021
- new version

* Wed Aug 18 2021 tex - 1.48.9-1pclos2021
- new version

* Fri Aug 13 2021 tex - 1.48.8-1pclos2021
- new version

* Sun Jul 04 2021 tex - 1.48.7-1pclos2021
- new version

* Wed Jun 30 2021 tex - 1.48.6-1pclos2021
- new version

* Tue May 18 2021 tex - 1.48.5-1pclos2021
- new version

* Sat Mar 27 2021 tex - 1.48.4-1pclos2021
- new version
